View Issue Details

IDProjectCategoryView StatusLast Update
13962Bug reports[All Projects] Survey participants (Tokens)public2018-09-03 17:14
Reportermarkusfluer Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.14.x 
Target Version3.14.xFixed in Version3.14.x 
Summary13962: Token description cannot be changed
Description

Token descriptions cannot be changed in current version. The change is not saved.

Steps To Reproduce

How to reproduce the issue:

  1. Login to LimeSurvey Admin page
  2. Click link to active surveys
  3. Click Manager Post-Class Survey
  4. Click Survey Participants
  5. Click Manage Attributes
  6. Updated field description of attribute_1 from “attribute_1” to “EmployeeFName”
  7. Click Save
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.4
I will donate to the project if issue is resolvedNo
BrowserChrome 56+, Firefox 52+
Database & DB-Versionlspro
Server OS (if known)lspro
Webserver software & version (if known)lspro
PHP Versionlspro

Activities

LouisGac

LouisGac

2018-08-15 10:22

manager   ~48783

could you please attach a lss file?

markusfluer

markusfluer

2018-08-15 10:44

administrator   ~48785

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27812

FCGad1946

FCGad1946

2018-08-20 10:04

reporter   ~48824

same problem here: Version 3.14.2

c_schmitz

c_schmitz

2018-09-03 17:14

administrator   ~48944

Version 3.14.8+180829 released

Related Changesets

LimeSurvey: master 39208bbc

2018-08-15 10:44:28

markusfluer

Details Diff
Fixed issue 13962: Token description cannot be changed Affected Issues
13962
mod - application/controllers/admin/tokens.php Diff File
mod - application/models/Survey.php Diff File

Issue History

Date Modified Username Field Change
2018-08-14 18:13 markusfluer New Issue
2018-08-14 18:13 markusfluer Status new => assigned
2018-08-14 18:13 markusfluer Assigned To => markusfluer
2018-08-15 10:22 LouisGac Note Added: 48783
2018-08-15 10:44 markusfluer Changeset attached => LimeSurvey master 39208bbc
2018-08-15 10:44 markusfluer Note Added: 48785
2018-08-15 10:44 markusfluer Resolution open => fixed
2018-08-15 10:56 markusfluer Status assigned => resolved
2018-08-15 10:56 markusfluer Fixed in Version => 3.14.x
2018-08-20 10:04 FCGad1946 Note Added: 48824
2018-09-03 17:14 c_schmitz Note Added: 48944
2018-09-03 17:14 c_schmitz Status resolved => closed